Package org.eclipse.mat.snapshot.query

# Class ObjectListResult.Outbound

java.lang.Object
org.eclipse.mat.snapshot.query.ObjectListResult.Outbound

All Implemented Interfaces:
  `IDecorator`, `IIconProvider`, `IResult`, `IResultTree`, `IStructuredResult`

Enclosing class:
  `ObjectListResult`

public static class ObjectListResult.Outbound extends Object
Helper class which describes a tree of objects by outbound references.

## Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`Outbound(ISnapshot snapshot, int[] objectIds)`
Construct a outbound references tree

## Method Summary

Modifier and Type
Method
Description
`final List<?>`
`getChildren(Object parent)`
Returns the child elements of the given parent.
`final Column[]`
`getColumns()`
Get the columns, which are the class name, the shallow heap and the retained heap.
`final Object`
`getColumnValue(Object row, int columnIndex)`
Returns the (unformatted) value of a table/tree cell.
`final IContextObject`
`getContext(Object row)`
The default context of the row which is used to display information in the object inspector.
`final List<?>`
`getElements()`
Get the actual rows.
`URL`
`getIcon(Object row)`
Get the URL for a row of the tree.
`final ResultMetaData`
`getResultMetaData()`
Enhance the tree with extra data.
`final boolean`
`hasChildren(Object element)`
Returns whether the given element has children.
`final String`
`prefix(Object row)`
Add before the object for example <local>
`final String`
`suffix(Object row)`
Add after the object

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Outbound

public Outbound(ISnapshot snapshot, int[] objectIds)
Construct a outbound references tree

Parameters:
  `snapshot` - the snapshot
  `objectIds` - the set of objects to form roots of the trees

## Method Details

### getIcon

public URL getIcon(Object row)
Get the URL for a row of the tree. Returns either an arrow item or the base icon if no children.

Returns:
  the URL of the icon

### getResultMetaData

public final ResultMetaData getResultMetaData()
Enhance the tree with extra data.

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  the metadata for the result, used to obtain extra data

### getColumns

public final Column[] getColumns()
Get the columns, which are the class name, the shallow heap and the retained heap.

Specified by:
  `getColumns` in interface `IStructuredResult`
Returns:
  an array of all the columns

### getElements

public final List<?> getElements()
Get the actual rows.

Specified by:
  `getElements` in interface `IResultTree`
Returns:
  a list of all the root elements of the tree as opaque row objects representing each row which can be passed to `IResultTree.getChildren(Object)` or `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

### getChildren

public final List<?> getChildren(Object parent)
Description copied from interface: `IResultTree`
Returns the child elements of the given parent.

Specified by:
  `getChildren` in interface `IResultTree`
Parameters:
  `parent` - The row object as returned by the `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a list of children of this branch of the tree

### hasChildren

public final boolean hasChildren(Object element)
Description copied from interface: `IResultTree`
Returns whether the given element has children.

Specified by:
  `hasChildren` in interface `IResultTree`
Parameters:
  `element` - the opaque object used to indicate which branch
Returns:
  true if this element has children

### getColumnValue

public final Object getColumnValue(Object row, int columnIndex)
Description copied from interface: `IStructuredResult`
Returns the (unformatted) value of a table/tree cell.

Specified by:
  `getColumnValue` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.
Returns:
  the cell value

### getContext

public final IContextObject getContext(Object row)
Description copied from interface: `IStructuredResult`
The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Specified by:
  `getContext` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.
Returns:
  a context object holding details about that row

### prefix

public final String prefix(Object row)
Description copied from interface: `IDecorator`
Add before the object for example <local>

Specified by:
  `prefix` in interface `IDecorator`
Parameters:
  `row` - used to find the row
Returns:
  the prefix or null

### suffix

public final String suffix(Object row)
Description copied from interface: `IDecorator`
Add after the object

Specified by:
  `suffix` in interface `IDecorator`
Parameters:
  `row` - used to find the row
Returns:
  the suffix or null